﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using Windows.UI.Xaml.Controls;

namespace CustomComboColumn
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }

    public class ViewModel
    {
        public ObservableCollection<DataItem> Items { get; } = new ObservableCollection<DataItem>(new List<DataItem>
        {
            new DataItem { Item = "Car", Brand = "Honda" },
            new DataItem { Item = "Bike", Brand = "Scott" }
        });
    }

    public class DataItem
    {
        public string Item { get; set; }
        public string Brand { get; set; }

        public List<BrandItem> Brands { get; } = new List<BrandItem>
        {
            new BrandItem("Honda"), new BrandItem("Volvo"), new BrandItem("Mercedes"),
            new BrandItem("Scott"), new BrandItem("Giant"), new BrandItem("Trek")
        };
    }

    public class BrandItem
    {
        public BrandItem(string name)
        {
            BrandName = name;

            switch (name)
            {
                case "Honda":
                    BrandId = 1;
                    break;
                case "Volvo":
                    BrandId = 2;
                    break;
                case "Mercedes":
                    BrandId = 3;
                    break;
                case "Scott":
                    BrandId = 4;
                    break;
                case "Giant":
                    BrandId = 5;
                    break;
                case "Trek":
                    BrandId = 6;
                    break;
            }
        }

        public string BrandName { get; set; }

        public int BrandId { get; set; }
    }
}
